# $FreeBSD: head/devel/hwloc/Makefile.man 319015 2013-05-24 20:58:30Z pawel $

MAN1=		hwloc-annotate.1 \
		hwloc-assembler-remote.1 \
		hwloc-assembler.1 \
		hwloc-bind.1 \
		hwloc-calc.1 \
		hwloc-distances.1 \
		hwloc-distrib.1 \
		hwloc-ps.1 \
		lstopo.1

MAN3=		HWLOC_API_VERSION.3 \
		HWLOC_CPUBIND_NOMEMBIND.3 \
		HWLOC_CPUBIND_PROCESS.3 \
		HWLOC_CPUBIND_STRICT.3 \
		HWLOC_CPUBIND_THREAD.3 \
		HWLOC_MEMBIND_BIND.3 \
		HWLOC_MEMBIND_DEFAULT.3 \
		HWLOC_MEMBIND_FIRSTTOUCH.3 \
		HWLOC_MEMBIND_INTERLEAVE.3 \
		HWLOC_MEMBIND_MIGRATE.3 \
		HWLOC_MEMBIND_MIXED.3 \
		HWLOC_MEMBIND_NEXTTOUCH.3 \
		HWLOC_MEMBIND_NOCPUBIND.3 \
		HWLOC_MEMBIND_PROCESS.3 \
		HWLOC_MEMBIND_REPLICATE.3 \
		HWLOC_MEMBIND_STRICT.3 \
		HWLOC_MEMBIND_THREAD.3 \
		HWLOC_OBJ_BRIDGE.3 \
		HWLOC_OBJ_BRIDGE_HOST.3 \
		HWLOC_OBJ_BRIDGE_PCI.3 \
		HWLOC_OBJ_CACHE.3 \
		HWLOC_OBJ_CACHE_DATA.3 \
		HWLOC_OBJ_CACHE_INSTRUCTION.3 \
		HWLOC_OBJ_CACHE_UNIFIED.3 \
		HWLOC_OBJ_CORE.3 \
		HWLOC_OBJ_GROUP.3 \
		HWLOC_OBJ_MACHINE.3 \
		HWLOC_OBJ_MISC.3 \
		HWLOC_OBJ_NODE.3 \
		HWLOC_OBJ_OSDEV_BLOCK.3 \
		HWLOC_OBJ_OSDEV_COPROC.3 \
		HWLOC_OBJ_OSDEV_DMA.3 \
		HWLOC_OBJ_OSDEV_GPU.3 \
		HWLOC_OBJ_OSDEV_NETWORK.3 \
		HWLOC_OBJ_OSDEV_OPENFABRICS.3 \
		HWLOC_OBJ_OS_DEVICE.3 \
		HWLOC_OBJ_PCI_DEVICE.3 \
		HWLOC_OBJ_PU.3 \
		HWLOC_OBJ_SOCKET.3 \
		HWLOC_OBJ_SYSTEM.3 \
		HWLOC_OBJ_TYPE_MAX.3 \
		HWLOC_RESTRICT_FLAG_ADAPT_DISTANCES.3 \
		HWLOC_RESTRICT_FLAG_ADAPT_IO.3 \
		HWLOC_RESTRICT_FLAG_ADAPT_MISC.3 \
		HWLOC_TOPOLOGY_FLAG_ICACHES.3 \
		HWLOC_TOPOLOGY_FLAG_IO_BRIDGES.3 \
		HWLOC_TOPOLOGY_FLAG_IO_DEVICES.3 \
		HWLOC_TOPOLOGY_FLAG_IS_THISSYSTEM.3 \
		HWLOC_TOPOLOGY_FLAG_WHOLE_IO.3 \
		HWLOC_TOPOLOGY_FLAG_WHOLE_SYSTEM.3 \
		HWLOC_TYPE_DEPTH_BRIDGE.3 \
		HWLOC_TYPE_DEPTH_MULTIPLE.3 \
		HWLOC_TYPE_DEPTH_OS_DEVICE.3 \
		HWLOC_TYPE_DEPTH_PCI_DEVICE.3 \
		HWLOC_TYPE_DEPTH_UNKNOWN.3 \
		HWLOC_TYPE_UNORDERED.3 \
		hwloc_alloc.3 \
		hwloc_alloc_membind.3 \
		hwloc_alloc_membind_nodeset.3 \
		hwloc_alloc_membind_policy.3 \
		hwloc_alloc_membind_policy_nodeset.3 \
		hwloc_bitmap_allbut.3 \
		hwloc_bitmap_alloc.3 \
		hwloc_bitmap_alloc_full.3 \
		hwloc_bitmap_and.3 \
		hwloc_bitmap_andnot.3 \
		hwloc_bitmap_asprintf.3 \
		hwloc_bitmap_clr.3 \
		hwloc_bitmap_clr_range.3 \
		hwloc_bitmap_compare.3 \
		hwloc_bitmap_compare_first.3 \
		hwloc_bitmap_copy.3 \
		hwloc_bitmap_dup.3 \
		hwloc_bitmap_fill.3 \
		hwloc_bitmap_first.3 \
		hwloc_bitmap_foreach_begin.3 \
		hwloc_bitmap_foreach_end.3 \
		hwloc_bitmap_free.3 \
		hwloc_bitmap_from_ith_ulong.3 \
		hwloc_bitmap_from_ulong.3 \
		hwloc_bitmap_intersects.3 \
		hwloc_bitmap_isequal.3 \
		hwloc_bitmap_isfull.3 \
		hwloc_bitmap_isincluded.3 \
		hwloc_bitmap_isset.3 \
		hwloc_bitmap_iszero.3 \
		hwloc_bitmap_last.3 \
		hwloc_bitmap_list_asprintf.3 \
		hwloc_bitmap_list_snprintf.3 \
		hwloc_bitmap_list_sscanf.3 \
		hwloc_bitmap_next.3 \
		hwloc_bitmap_not.3 \
		hwloc_bitmap_only.3 \
		hwloc_bitmap_or.3 \
		hwloc_bitmap_set.3 \
		hwloc_bitmap_set_ith_ulong.3 \
		hwloc_bitmap_set_range.3 \
		hwloc_bitmap_singlify.3 \
		hwloc_bitmap_snprintf.3 \
		hwloc_bitmap_sscanf.3 \
		hwloc_bitmap_t.3 \
		hwloc_bitmap_taskset_asprintf.3 \
		hwloc_bitmap_taskset_snprintf.3 \
		hwloc_bitmap_taskset_sscanf.3 \
		hwloc_bitmap_to_ith_ulong.3 \
		hwloc_bitmap_to_ulong.3 \
		hwloc_bitmap_weight.3 \
		hwloc_bitmap_xor.3 \
		hwloc_bitmap_zero.3 \
		hwloc_bridge_covers_pcibus.3 \
		hwloc_compare_types.3 \
		hwloc_compare_types_e.3 \
		hwloc_const_bitmap_t.3 \
		hwloc_const_cpuset_t.3 \
		hwloc_const_nodeset_t.3 \
		hwloc_cpubind_flags_t.3 \
		hwloc_cpuset_from_glibc_sched_affinity.3 \
		hwloc_cpuset_from_linux_libnuma_bitmask.3 \
		hwloc_cpuset_from_linux_libnuma_ulongs.3 \
		hwloc_cpuset_from_nodeset.3 \
		hwloc_cpuset_from_nodeset_strict.3 \
		hwloc_cpuset_t.3 \
		hwloc_cpuset_to_glibc_sched_affinity.3 \
		hwloc_cpuset_to_linux_libnuma_bitmask.3 \
		hwloc_cpuset_to_linux_libnuma_ulongs.3 \
		hwloc_cpuset_to_nodeset.3 \
		hwloc_cpuset_to_nodeset_strict.3 \
		hwloc_cuda_get_device_cpuset.3 \
		hwloc_cuda_get_device_osdev.3 \
		hwloc_cuda_get_device_osdev_by_index.3 \
		hwloc_cuda_get_device_pci_ids.3 \
		hwloc_cuda_get_device_pcidev.3 \
		hwloc_cudart_get_device_cpuset.3 \
		hwloc_cudart_get_device_osdev_by_index.3 \
		hwloc_cudart_get_device_pci_ids.3 \
		hwloc_cudart_get_device_pcidev.3 \
		hwloc_custom_insert_group_object_by_parent.3 \
		hwloc_custom_insert_topology.3 \
		hwloc_distances_s.3 \
		hwloc_distribute.3 \
		hwloc_distributev.3 \
		hwloc_export_obj_userdata.3 \
		hwloc_export_obj_userdata_base64.3 \
		hwloc_free.3 \
		hwloc_free_xmlbuffer.3 \
		hwloc_get_ancestor_obj_by_depth.3 \
		hwloc_get_ancestor_obj_by_type.3 \
		hwloc_get_api_version.3 \
		hwloc_get_area_membind.3 \
		hwloc_get_area_membind_nodeset.3 \
		hwloc_get_cache_covering_cpuset.3 \
		hwloc_get_cache_type_depth.3 \
		hwloc_get_child_covering_cpuset.3 \
		hwloc_get_closest_objs.3 \
		hwloc_get_common_ancestor_obj.3 \
		hwloc_get_cpubind.3 \
		hwloc_get_depth_type.3 \
		hwloc_get_distance_matrix_covering_obj_by_depth.3 \
		hwloc_get_first_largest_obj_inside_cpuset.3 \
		hwloc_get_hostbridge_by_pcibus.3 \
		hwloc_get_largest_objs_inside_cpuset.3 \
		hwloc_get_last_cpu_location.3 \
		hwloc_get_latency.3 \
		hwloc_get_membind.3 \
		hwloc_get_membind_nodeset.3 \
		hwloc_get_nbobjs_by_depth.3 \
		hwloc_get_nbobjs_by_type.3 \
		hwloc_get_nbobjs_inside_cpuset_by_depth.3 \
		hwloc_get_nbobjs_inside_cpuset_by_type.3 \
		hwloc_get_next_bridge.3 \
		hwloc_get_next_child.3 \
		hwloc_get_next_obj_by_depth.3 \
		hwloc_get_next_obj_by_type.3 \
		hwloc_get_next_obj_covering_cpuset_by_depth.3 \
		hwloc_get_next_obj_covering_cpuset_by_type.3 \
		hwloc_get_next_obj_inside_cpuset_by_depth.3 \
		hwloc_get_next_obj_inside_cpuset_by_type.3 \
		hwloc_get_next_osdev.3 \
		hwloc_get_next_pcidev.3 \
		hwloc_get_non_io_ancestor_obj.3 \
		hwloc_get_obj_below_array_by_type.3 \
		hwloc_get_obj_below_by_type.3 \
		hwloc_get_obj_by_depth.3 \
		hwloc_get_obj_by_type.3 \
		hwloc_get_obj_covering_cpuset.3 \
		hwloc_get_obj_index_inside_cpuset.3 \
		hwloc_get_obj_inside_cpuset_by_depth.3 \
		hwloc_get_obj_inside_cpuset_by_type.3 \
		hwloc_get_pcidev_by_busid.3 \
		hwloc_get_pcidev_by_busidstring.3 \
		hwloc_get_proc_cpubind.3 \
		hwloc_get_proc_last_cpu_location.3 \
		hwloc_get_proc_membind.3 \
		hwloc_get_proc_membind_nodeset.3 \
		hwloc_get_pu_obj_by_os_index.3 \
		hwloc_get_root_obj.3 \
		hwloc_get_shared_cache_covering_obj.3 \
		hwloc_get_thread_cpubind.3 \
		hwloc_get_type_depth.3 \
		hwloc_get_type_depth_e.3 \
		hwloc_get_type_or_above_depth.3 \
		hwloc_get_type_or_below_depth.3 \
		hwloc_get_whole_distance_matrix_by_depth.3 \
		hwloc_get_whole_distance_matrix_by_type.3 \
		hwloc_gl_get_display_by_osdev.3 \
		hwloc_gl_get_display_osdev_by_name.3 \
		hwloc_gl_get_display_osdev_by_port_device.3 \
		hwloc_ibv_get_device_cpuset.3 \
		hwloc_ibv_get_device_osdev.3 \
		hwloc_ibv_get_device_osdev_by_name.3 \
		hwloc_intel_mic_get_device_cpuset.3 \
		hwloc_intel_mic_get_device_osdev_by_index.3 \
		hwloc_linux_get_tid_cpubind.3 \
		hwloc_linux_parse_cpumap_file.3 \
		hwloc_linux_set_tid_cpubind.3 \
		hwloc_membind_flags_t.3 \
		hwloc_membind_policy_t.3 \
		hwloc_mx_board_get_device_cpuset.3 \
		hwloc_mx_endpoint_get_device_cpuset.3 \
		hwloc_nodeset_from_linux_libnuma_bitmask.3 \
		hwloc_nodeset_from_linux_libnuma_ulongs.3 \
		hwloc_nodeset_t.3 \
		hwloc_nodeset_to_linux_libnuma_bitmask.3 \
		hwloc_nodeset_to_linux_libnuma_ulongs.3 \
		hwloc_nvml_get_device_cpuset.3 \
		hwloc_nvml_get_device_osdev.3 \
		hwloc_nvml_get_device_osdev_by_index.3 \
		hwloc_obj.3 \
		hwloc_obj_add_info.3 \
		hwloc_obj_attr_snprintf.3 \
		hwloc_obj_attr_u.3 \
		hwloc_obj_attr_u_hwloc_bridge_attr_s.3 \
		hwloc_obj_attr_u_hwloc_cache_attr_s.3 \
		hwloc_obj_attr_u_hwloc_group_attr_s.3 \
		hwloc_obj_attr_u_hwloc_osdev_attr_s.3 \
		hwloc_obj_attr_u_hwloc_pcidev_attr_s.3 \
		hwloc_obj_bridge_type_e.3 \
		hwloc_obj_bridge_type_t.3 \
		hwloc_obj_cache_type_e.3 \
		hwloc_obj_cache_type_t.3 \
		hwloc_obj_cpuset_snprintf.3 \
		hwloc_obj_get_info_by_name.3 \
		hwloc_obj_info_s.3 \
		hwloc_obj_is_in_subtree.3 \
		hwloc_obj_memory_s.3 \
		hwloc_obj_memory_s_hwloc_obj_memory_page_type_s.3 \
		hwloc_obj_osdev_type_e.3 \
		hwloc_obj_osdev_type_t.3 \
		hwloc_obj_snprintf.3 \
		hwloc_obj_t.3 \
		hwloc_obj_type_of_string.3 \
		hwloc_obj_type_snprintf.3 \
		hwloc_obj_type_string.3 \
		hwloc_obj_type_t.3 \
		hwloc_opencl_get_device_cpuset.3 \
		hwloc_opencl_get_device_osdev.3 \
		hwloc_opencl_get_device_osdev_by_index.3 \
		hwloc_restrict_flags_e.3 \
		hwloc_set_area_membind.3 \
		hwloc_set_area_membind_nodeset.3 \
		hwloc_set_cpubind.3 \
		hwloc_set_membind.3 \
		hwloc_set_membind_nodeset.3 \
		hwloc_set_proc_cpubind.3 \
		hwloc_set_proc_membind.3 \
		hwloc_set_proc_membind_nodeset.3 \
		hwloc_set_thread_cpubind.3 \
		hwloc_topology_check.3 \
		hwloc_topology_cpubind_support.3 \
		hwloc_topology_destroy.3 \
		hwloc_topology_discovery_support.3 \
		hwloc_topology_export_xml.3 \
		hwloc_topology_export_xmlbuffer.3 \
		hwloc_topology_flags_e.3 \
		hwloc_topology_get_allowed_cpuset.3 \
		hwloc_topology_get_allowed_nodeset.3 \
		hwloc_topology_get_complete_cpuset.3 \
		hwloc_topology_get_complete_nodeset.3 \
		hwloc_topology_get_depth.3 \
		hwloc_topology_get_flags.3 \
		hwloc_topology_get_online_cpuset.3 \
		hwloc_topology_get_support.3 \
		hwloc_topology_get_topology_cpuset.3 \
		hwloc_topology_get_topology_nodeset.3 \
		hwloc_topology_ignore_all_keep_structure.3 \
		hwloc_topology_ignore_type.3 \
		hwloc_topology_ignore_type_keep_structure.3 \
		hwloc_topology_init.3 \
		hwloc_topology_insert_misc_object_by_cpuset.3 \
		hwloc_topology_insert_misc_object_by_parent.3 \
		hwloc_topology_is_thissystem.3 \
		hwloc_topology_load.3 \
		hwloc_topology_membind_support.3 \
		hwloc_topology_restrict.3 \
		hwloc_topology_set_custom.3 \
		hwloc_topology_set_distance_matrix.3 \
		hwloc_topology_set_flags.3 \
		hwloc_topology_set_fsroot.3 \
		hwloc_topology_set_pid.3 \
		hwloc_topology_set_synthetic.3 \
		hwloc_topology_set_userdata_export_callback.3 \
		hwloc_topology_set_userdata_import_callback.3 \
		hwloc_topology_set_xml.3 \
		hwloc_topology_set_xmlbuffer.3 \
		hwloc_topology_support.3 \
		hwloc_topology_t.3 \
		hwlocality_advanced_io.3 \
		hwlocality_api_version.3 \
		hwlocality_bitmap.3 \
		hwlocality_configuration.3 \
		hwlocality_conversion.3 \
		hwlocality_cpubinding.3 \
		hwlocality_creation.3 \
		hwlocality_cuda.3 \
		hwlocality_cudart.3 \
		hwlocality_custom.3 \
		hwlocality_distances.3 \
		hwlocality_gl.3 \
		hwlocality_glibc_sched.3 \
		hwlocality_helper_binding.3 \
		hwlocality_helper_cpuset.3 \
		hwlocality_helper_find_cache.3 \
		hwlocality_helper_find_covering.3 \
		hwlocality_helper_find_coverings.3 \
		hwlocality_helper_find_inside.3 \
		hwlocality_helper_nodeset.3 \
		hwlocality_helper_nodeset_convert.3 \
		hwlocality_helper_traversal.3 \
		hwlocality_helper_traversal_basic.3 \
		hwlocality_helper_types.3 \
		hwlocality_information.3 \
		hwlocality_intel_mic.3 \
		hwlocality_linux.3 \
		hwlocality_linux_libnuma_bitmask.3 \
		hwlocality_linux_libnuma_ulongs.3 \
		hwlocality_membinding.3 \
		hwlocality_myriexpress.3 \
		hwlocality_nvml.3 \
		hwlocality_objects.3 \
		hwlocality_opencl.3 \
		hwlocality_openfabrics.3 \
		hwlocality_sets.3 \
		hwlocality_tinker.3 \
		hwlocality_topology.3 \
		hwlocality_traversal.3 \
		hwlocality_types.3 \
		hwlocality_xmlexport.3

MAN7=		hwloc.7

MLINKS=		lstopo.1 hwloc-info.1 \
		lstopo.1 hwloc-ls.1 \
		lstopo.1 lstopo-no-graphics.1
